Package org.opencv.img_hash

## Class BlockMeanHash

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.img_hash.ImgHashBase
    - - org.opencv.img_hash.BlockMeanHash

-     public class BlockMeanHash
      extends ImgHashBase

  Image hash based on block mean. See CITE: zauner2010implementation for details.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BlockMeanHash​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BlockMeanHash` | `__fromPtr__​(long addr)` |
    `static BlockMeanHash` | `create()` |
    `static BlockMeanHash` | `create​(int mode)` |
    `protected void` | `finalize()` |
    `MatOfDouble` | `getMean()` |
    `void` | `setMode​(int mode)` | Create BlockMeanHash object

    - ### Methods inherited from class org.opencv.img_hash.ImgHashBase

      `compare, compute`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockMeanHash

          protected BlockMeanHash​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BlockMeanHash __fromPtr__​(long addr)

    - #### create

          public static BlockMeanHash create​(int mode)

    - #### create

          public static BlockMeanHash create()

    - #### getMean

          public MatOfDouble getMean()

    - #### setMode

          public void setMode​(int mode)

      Create BlockMeanHash object
      Parameters:
        `mode` - the mode

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `ImgHashBase`
      Throws:
        `java.lang.Throwable`